This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 39850 - Various X man pages missing: X, XStandards, Xsecurity, ...
Various X man pages missing: X, XStandards, Xsecurity, ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
6.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-09 07:38 EDT by Steve Coile
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-10 07:16:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Coile 2001-05-09 07:38:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-6.2.1 i686; Nav)

Description of problem:
I could *swear* these man pages used to be included, but they aren't on my
recently-intalled 6.2 box:

	X(7)
	XConsortium(7)
	XStandards(7)
	Xsecurity(7)

The X(7) and Xsecurity(7) pages are very important.

X packages installed on my system (`rpm -qa | grep X`):

X11R6-contrib-3.3.2-11
XFree86-3.3.6-20
XFree86-xfs-3.3.6-20
XFree86-100dpi-fonts-3.3.6-20
XFree86-Mach64-3.3.6-20
Xaw3d-1.3-21
XFree86-libs-3.3.6-20
XFree86-75dpi-fonts-3.3.6-20
XFree86-doc-3.3.6-20
Xconfigurator-4.3.5-1
playmidi-X11-2.4-9


How reproducible:
Always

Steps to Reproduce:
1.  man X


Actual Results:  No manual entry for X


Expected Results:  Manual page for X.

Additional info:
Comment 1 Mike A. Harris 2001-05-09 19:26:42 EDT
There is a X(3) and a XSecurity(3) page.  Not sure if they are the same
though.  Our current XFree86 4.x packaging has these manpages.

The Xconsortium and Xstandards pages do not seem to exist in our 4.x packages
though, while the other two are there.

I don't consider this critical for a 6.x release, however I will briefly look
into it for our pending errata.
Comment 2 Steve Coile 2001-05-10 07:15:56 EDT
I noticed that the XFree86-devel packages for RHL 6.2 included the X(3x) man
page; must've overlooked the Xsecurity(3x) man page. 

Note that XConsortium(3x) (note the upper-case C) and XStandards(3x) (note
upper-case S) are in XFree86-devel.

Given the general nature of these man pages, I'd recommend they be moved to the
XFree86 package: they're useful to all X users, not just developers.  I agree
with you, though: these aren't critical changes.

Note You need to log in before you can comment on or make changes to this bug.